{
  "Routes": [
    //====================================================
    // APIS FOR AN ADMIN 
    //====================================================
    {
      "DownstreamPathTemplate": "/api/v1/examtypes",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "localhost",
          "Port": 8001
        }
      ],
      "UpstreamPathTemplate": "/gateway/examtypes",
      "UpstreamHttpMethod": [ "POST", "PUT", "GET" ]
    },
    {
      "DownstreamPathTemplate": "/api/v1/examtypes/{id}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "localhost",
          "Port": 8001
        }
      ],
      "UpstreamPathTemplate": "/gateway/examtypes/{id}",
      "UpstreamHttpMethod": [ "GET", "DELETE" ]
    },
    //====================================================
    // APIS FOR AN INSTITUTE 
    //====================================================
    {
      "DownstreamPathTemplate": "/v1/users",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "localhost",
          "Port": 8002
        }
      ],
      "UpstreamPathTemplate": "/gateway/users",
      "UpstreamHttpMethod": [ "POST", "PUT", "GET" ]
    }
  ],
  "GlobalConfiguration": {
    "BaseUrl": "https://localhost:8000"
  }
}